org.eclipse.incquery.runtime.base.core

## Class NavigationHelperContentAdapter

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.ecore.util.EContentAdapter
    - - org.eclipse.incquery.runtime.base.core.NavigationHelperContentAdapter

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal

      public class NavigationHelperContentAdapter
      extends org.eclipse.emf.ecore.util.EContentAdapter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `org.eclipse.emf.common.notify.Adapter.Internal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NavigationHelperContentAdapter(NavigationHelperImpl navigationHelper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<org.eclipse.emf.ecore.EClass>` | `getAllCurrentClasses()` Returns all EClasses that currently have direct instances cached by the index.
    `java.util.Map<java.lang.Object,java.lang.Integer>` | `getDataTypeMap(java.lang.Object keyType)`
    `java.lang.Object` | `getEObjectClassKey()`
    `java.util.Set<org.eclipse.emf.ecore.EObject>` | `getInstanceSet(java.lang.Object keyClass)`
    `org.eclipse.emf.ecore.EClassifier` | `getKnownClassifier(java.lang.String key)` Returns the corresponding `EClassifier` instance for the id.
    `org.eclipse.emf.ecore.EClassifier` | `getKnownClassifierForKey(java.lang.Object classifierKey)`
    `org.eclipse.emf.ecore.EStructuralFeature` | `getKnownFeature(java.lang.String featureId)` Returns the corresponding `EStructuralFeature` instance for the id.
    `org.eclipse.emf.ecore.EStructuralFeature` | `getKnownFeatureForKey(java.lang.Object featureKey)`
    `void` | `insertFeatureTuple(java.lang.Object featureKey, boolean unique, java.lang.Object value, org.eclipse.emf.ecore.EObject holder)`
    `void` | `insertIntoDataTypeMap(java.lang.Object keyType, java.lang.Object value)`
    `void` | `insertIntoInstanceSet(java.lang.Object keyClass, org.eclipse.emf.ecore.EObject value)`
    `boolean` | `isDynamicModel()`
    `void` | `notifyChanged(org.eclipse.emf.common.notify.Notification notification)`
    `void` | `removeDataTypeMap(java.lang.Object keyType)`
    `void` | `removeFeatureTuple(java.lang.Object featureKey, boolean unique, java.lang.Object value, org.eclipse.emf.ecore.EObject holder)`
    `void` | `removeFromDataTypeMap(java.lang.Object keyType, java.lang.Object value)`
    `void` | `removeFromInstanceSet(java.lang.Object keyClass, org.eclipse.emf.ecore.EObject value)`
    `void` | `removeInstanceSet(java.lang.Object keyClass)`

    - ### Methods inherited from class org.eclipse.emf.ecore.util.EContentAdapter

      `setTarget, unsetTarget`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `getTarget, isAdapterForType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NavigationHelperContentAdapter

          public NavigationHelperContentAdapter(NavigationHelperImpl navigationHelper)

  - ### Method Detail

    - #### getEObjectClassKey

          public java.lang.Object getEObjectClassKey()

      Returns:
        the eObjectClassKey

    - #### notifyChanged

          public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

      Specified by:
        `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
      Overrides:
        `notifyChanged` in class `org.eclipse.emf.ecore.util.EContentAdapter`

    - #### insertFeatureTuple

          public void insertFeatureTuple(java.lang.Object featureKey,
                                         boolean unique,
                                         java.lang.Object value,
                                         org.eclipse.emf.ecore.EObject holder)

    - #### removeFeatureTuple

          public void removeFeatureTuple(java.lang.Object featureKey,
                                         boolean unique,
                                         java.lang.Object value,
                                         org.eclipse.emf.ecore.EObject holder)

    - #### getInstanceSet

          public java.util.Set<org.eclipse.emf.ecore.EObject> getInstanceSet(java.lang.Object keyClass)

    - #### removeInstanceSet

          public void removeInstanceSet(java.lang.Object keyClass)

    - #### insertIntoInstanceSet

          public void insertIntoInstanceSet(java.lang.Object keyClass,
                                            org.eclipse.emf.ecore.EObject value)

    - #### removeFromInstanceSet

          public void removeFromInstanceSet(java.lang.Object keyClass,
                                            org.eclipse.emf.ecore.EObject value)

    - #### getDataTypeMap

          public java.util.Map<java.lang.Object,java.lang.Integer> getDataTypeMap(java.lang.Object keyType)

    - #### removeDataTypeMap

          public void removeDataTypeMap(java.lang.Object keyType)

    - #### insertIntoDataTypeMap

          public void insertIntoDataTypeMap(java.lang.Object keyType,
                                            java.lang.Object value)

    - #### removeFromDataTypeMap

          public void removeFromDataTypeMap(java.lang.Object keyType,
                                            java.lang.Object value)

    - #### getKnownFeature

          public org.eclipse.emf.ecore.EStructuralFeature getKnownFeature(java.lang.String featureId)

      Returns the corresponding `EStructuralFeature` instance for the id.
      Parameters:
        `featureId` - the id of the feature
      Returns:
        the `EStructuralFeature` instance

    - #### getKnownFeatureForKey

          public org.eclipse.emf.ecore.EStructuralFeature getKnownFeatureForKey(java.lang.Object featureKey)

    - #### getKnownClassifier

          public org.eclipse.emf.ecore.EClassifier getKnownClassifier(java.lang.String key)

      Returns the corresponding `EClassifier` instance for the id.

    - #### getKnownClassifierForKey

          public org.eclipse.emf.ecore.EClassifier getKnownClassifierForKey(java.lang.Object classifierKey)

    - #### getAllCurrentClasses

          public java.util.Set<org.eclipse.emf.ecore.EClass> getAllCurrentClasses()

      Returns all EClasses that currently have direct instances cached by the index.

      Supertypes will not be returned, unless they have direct instances in the model as well. If not in wildcard mode, only registered EClasses and their subtypes will be returned.

      Note for advanced users: if a type is represented by multiple EClass objects, one of them is chosen as representative and returned.

    - #### isDynamicModel

          public boolean isDynamicModel()